# Uses of Class
org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption.PublicKey

Packages that use PublicKey
Package
Description
org.apache.sysds.runtime.controlprogram.paramserv
org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption

## Uses of PublicKey in org.apache.sysds.runtime.controlprogram.paramserv

Methods in org.apache.sysds.runtime.controlprogram.paramserv that return PublicKey
Modifier and Type
Method
Description
`PublicKey`
HEParamServer.`aggregatePartialPublicKeys(PublicKey[] partial_public_keys)`
`PublicKey`
FederatedPSControlThread.`getPartialPublicKey()`
Methods in org.apache.sysds.runtime.controlprogram.paramserv with parameters of type PublicKey
Modifier and Type
Method
Description
`PublicKey`
HEParamServer.`aggregatePartialPublicKeys(PublicKey[] partial_public_keys)`
`void`
FederatedPSControlThread.`setPublicKey(PublicKey public_key)`

## Uses of PublicKey in org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption

Methods in org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption that return PublicKey
Modifier and Type
Method
Description
`PublicKey`
SEALServer.`aggregatePartialPublicKeys(PublicKey[] partial_public_keys)`
accumulates the given partial public keys into a public key, stores it in ctx and returns it
`PublicKey`
SEALClient.`generatePartialPublicKey()`
generates a partial public key stores a partial private key corresponding to the partial public key in ctx
Methods in org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption with parameters of type PublicKey
Modifier and Type
Method
Description
`PublicKey`
SEALServer.`aggregatePartialPublicKeys(PublicKey[] partial_public_keys)`
accumulates the given partial public keys into a public key, stores it in ctx and returns it
`void`
SEALClient.`setPublicKey(PublicKey public_key)`
sets the public key and stores it in ctx